Package: org.codehaus.groovy.tools

## [Java] Class StringHelper

- org.codehaus.groovy.tools.StringHelper

-     public class StringHelper
      extends Object

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static String[]` | `tokenizeUnquoted(String s)` This method tokenizes a string by space characters, but ignores spaces in quoted parts,that are parts in '' or "".

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public static String[] tokenizeUnquoted(String s)

      This method tokenizes a string by space characters, but ignores spaces in quoted parts,that are parts in '' or "". The method allows the usage of "" in '' and '' in "". The space character between tokens is not returned.

      Parameters:
        `s` - the string to tokenize
      Returns:
        the tokens